org.apache.felix.http.samples.bridge

## Class StartupListener

- java.lang.Object
- - org.apache.felix.http.samples.bridge.StartupListener

All Implemented Interfaces:
  java.util.EventListener, javax.servlet.ServletContextListener

    public final class StartupListener
    extends java.lang.Object
    implements javax.servlet.ServletContextListener

### Constructor Summary

Constructors
Constructor and Description
`StartupListener()`

### Method Summary

Methods
`void` `contextDestroyed(javax.servlet.ServletContextEvent event)`
`void` `contextInitialized(javax.servlet.ServletContextEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StartupListener

    public StartupListener()

### Method Detail

#### contextInitialized

    public void contextInitialized(javax.servlet.ServletContextEvent event)

Specified by:
  `contextInitialized` in interface `javax.servlet.ServletContextListener`

#### contextDestroyed

    public void contextDestroyed(javax.servlet.ServletContextEvent event)

Specified by:
  `contextDestroyed` in interface `javax.servlet.ServletContextListener`